Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.sandbox.run_command(session_id_param="demo-python-20260316", session_id="demo-python-20260316", command="python3", session_token="sandbox_test_20260316_4f9c2b1a", args=[
"-c",
"import math; print(math.sqrt(144))",
], cwd=None, env={
}, timeout_seconds=60)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.sandbox.runCommand({
sessionId: "demo-python-20260316",
commandRequest: {
sessionId: "demo-python-20260316",
sessionToken: "sandbox_test_20260316_4f9c2b1a",
command: "python3",
args: [
"-c",
"import math; print(math.sqrt(144))",
],
cwd: null,
env: {
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Sandbox.RunCommandAsync(
sessionId: "demo-python-20260316",
body: new CommandRequest() {
SessionId = "demo-python-20260316",
SessionToken = "sandbox_test_20260316_4f9c2b1a",
Command = "python3",
Args = new List<string>() {
"-c",
"import math; print(math.sqrt(144))",
},
Cwd = null,
Env = new Dictionary<string, string>() {
},
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/sandbox/sessions/{session_id}/commands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_id": "demo-python-20260316",
"session_token": "sandbox_test_20260316_4f9c2b1a",
"command": "python3",
"args": [
"-c",
"import math; print(math.sqrt(144))"
],
"cwd": null,
"env": {},
"timeout_seconds": 60
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
session_id: 'demo-python-20260316',
session_token: 'sandbox_test_20260316_4f9c2b1a',
command: 'python3',
args: ['-c', 'import math; print(math.sqrt(144))'],
cwd: null,
env: {},
timeout_seconds: 60
})
};
fetch('https://apigw.mka1.com/api/v1/sandbox/sessions/{session_id}/commands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "demo-python-20260316",
"command": "python3",
"args": [
"-c",
"import math; print(math.sqrt(144))"
],
"cwd": "/workspace",
"stdout": "12.0\n",
"stderr": "",
"exit_code": 0,
"files_changed": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Execution
Executar Comando
Execute um comando no espaço de trabalho da sessão e retorne stdout, stderr, código de saída e arquivos modificados.
POST
/
api
/
v1
/
sandbox
/
sessions
/
{session_id}
/
commands
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.sandbox.run_command(session_id_param="demo-python-20260316", session_id="demo-python-20260316", command="python3", session_token="sandbox_test_20260316_4f9c2b1a", args=[
"-c",
"import math; print(math.sqrt(144))",
], cwd=None, env={
}, timeout_seconds=60)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.sandbox.runCommand({
sessionId: "demo-python-20260316",
commandRequest: {
sessionId: "demo-python-20260316",
sessionToken: "sandbox_test_20260316_4f9c2b1a",
command: "python3",
args: [
"-c",
"import math; print(math.sqrt(144))",
],
cwd: null,
env: {
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Sandbox.RunCommandAsync(
sessionId: "demo-python-20260316",
body: new CommandRequest() {
SessionId = "demo-python-20260316",
SessionToken = "sandbox_test_20260316_4f9c2b1a",
Command = "python3",
Args = new List<string>() {
"-c",
"import math; print(math.sqrt(144))",
},
Cwd = null,
Env = new Dictionary<string, string>() {
},
}
);
// handle responseAutorizações
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Cabeçalhos
Optional external end-user identifier forwarded by the API gateway.
Parâmetros de caminho
Corpo
application/json
Esta página foi útil?
⌘I